package com.tuoheng.gateway.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: 吴彬
 * @CreateTime: 2022-09-13  08:57
 * @Description: 放行白名单配置
 * @Version: 1.0
 */
@Configuration
@ConfigurationProperties(prefix = "security.ignore")
public class IgnoreWhiteProperties {
    /**
     * 放行白名单配置，网关不校验此处的白名单
     */
    private List<String> whites = new ArrayList<>();

    /**
     * 需要校验是否登录的请求路径
     */
    private List<String> oauthUrls = new ArrayList<>();

    public List<String> getWhites() {
        return whites;
    }

    public void setWhites(List<String> whites) {
        this.whites = whites;
    }

    public List<String> getOauthUrls() {
        return oauthUrls;
    }

    public void setOauthUrls(List<String> oauthUrls) {
        this.oauthUrls = oauthUrls;
    }
}
